## calibre 7.12.0+ds

=== debian/changelog ===
calibre (7.12.0+ds-1) unstable; urgency=medium

  * New upstream version 7.12.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 01 Jun 2024 21:21:51 +0900

calibre (7.11.0+ds-1) unstable; urgency=medium

  * New upstream version 7.11.0+ds
  * Rediff patches
  * IPv6 patch was marged into upstream since Calibre 7.2.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 24 May 2024 19:10:33 +0900

=== debian/control ===
Source: calibre
Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>,
           Martin Pitt <mpitt@debian.org>,
           Nicholas D Steeves <sten@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.21),
               ca-certificates,
               curl,
               dh-buildinfo,
               dh-python,
               fonts-liberation (>= 1:2.1.5-2),
               libboost-dev,
               libchm-dev,
               libegl-dev,
               libhunspell-dev,
               libhyphen-dev,
               libicu-dev,
               libjpeg-turbo-progs,
               libjxr-tools,
               libmtdev-dev [linux-any],
               libmtp-dev,
               libpodofo-dev,
               libqt6webenginecore6-bin,
               librsvg2-bin,
               libsqlite3-dev,
               libssl-dev,
               libstemmer-dev,
               libuchardet-dev,
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               optipng,
               poppler-utils,
               pyqt6-dev,
               pyqt6-dev-tools,
               python3,
               python3-apsw,
               python3-bs4,
               python3-chm,
               python3-css-parser,
               python3-cssselect,
               python3-dateutil,
               python3-dev,
               python3-feedparser (>= 6.0.8-1~),
               python3-fonttools,
               python3-html2text,
               python3-html5-parser (>=0.4.10-1~),
               python3-html5lib,
               python3-ipython,
               python3-jeepney,
               python3-lxml,
               python3-lxml-html-clean | python3-lxml (<< 5.2.0-1),
               python3-markdown,
               python3-mechanize,
               python3-msgpack,
               python3-netifaces,
               python3-pil,
               python3-pkg-resources,
               python3-psutil,
               python3-py7zr,
               python3-pycryptodome,
               python3-pygments,
               python3-pyparsing,
               python3-pyqt6,
               python3-pyqt6.qtquick,
               python3-pyqt6.qtsvg,
               python3-pyqt6.qtwebengine,
               python3-pyqtbuild,
               python3-regex,
               python3-routes,
               python3-setuptools,
               python3-sipbuild,
               python3-speechd,
               python3-xxhash,
               python3-zeroconf,
               python3-zstd,
               qt6-image-formats-plugins,
               qmake6,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-wayland,
               webp,
               xdg-utils
Standards-Version: 4.7.0
Vcs-Browser: https://github.com/debian-calibre/calibre
Vcs-Git: https://github.com/debian-calibre/calibre.git
Homepage: https://calibre-ebook.com
Rules-Requires-Root: no

Package: calibre
Architecture: all
Depends: calibre-bin (>= ${source:Version}),
         ${misc:Depends},
         ca-certificates,
         fonts-liberation (>= 1:2.1.5-2),
         libjpeg-turbo-progs,
         libjxr-tools,
         libqt6webenginecore6-bin,
         optipng,
         poppler-utils,
         ${python3:Depends},
         pyqt6-dev-tools,
         python3-apsw,
         python3-bs4,
         python3-chm,
         python3-css-parser,
         python3-cssselect,
         python3-dateutil,
         python3-feedparser,
         python3-fonttools,
         python3-html2text,
         python3-html5-parser,
         python3-html5lib,
         python3-jeepney,
         python3-lxml,
         python3-lxml-html-clean | python3-lxml (<< 5.2.0-1),
         python3-markdown,
         python3-mechanize,
         python3-msgpack,
         python3-netifaces,
         python3-pil,
         python3-pkg-resources,
         python3-py7zr,
         python3-pycryptodome,
         python3-pygments,
         python3-pyparsing,
         python3-pyqt6 (>= ${pyqt:Version}),
         python3-pyqt6.qtquick,
         python3-pyqt6.qtsvg,
         python3-pyqt6.qtwebengine,
         python3-pyqt6.sip,
         python3-regex,
         python3-routes,
         python3-speechd,
         python3-xxhash,
         python3-zeroconf,
         webp,
         xdg-utils
Recommends: python3-dnspython,
            udisks2,
            python3-ipython
Suggests: python3-unrardll
Description: powerful and easy to use e-book manager
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion to and from a dozen different e-book
 formats.
 .
 Calibre supports almost every single e-Reader (e.g., Kindle, Kobo, Nook) and
 is compatible with more devices with every update. Calibre can transfer your
 e-books from one device to another in seconds, wirelessly or with a cable.
 It will send the best file format for your device converting it if
 needed, automatically.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: calibre (>= ${source:Version}),
            qt6-image-formats-plugins
Description: powerful and easy to use e-book manager (binary plugins)
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 This package contains the compiled architecture dependent plugins, the main
 package is called 'calibre'.

=== debian/rules ===
#!/usr/bin/make -f

# help for reproducible build
export LANG=C.UTF-8

# building with python3
PYTHON=$(shell py3versions -d)
PYTHON_PATH=$(shell command -v $(PYTHON))
SETUP=$(PYTHON) setup.py

# build options
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all

# display build commands while CMake build
export VERBOSE=1

# Set hash seed to Qt resource compiler output will deterministic one.
# See QHash class document on Qt document.
export QT_HASH_SEED=0

# Do all test by default
TEST_FLAGS =
CI_ENV =

# This test always stole
TEST_FLAGS += --exclude-test-name=fts_pool

# Disable some test when in package builder environment
ifeq ($(wildcard .git),)
  include debian/buildd-options.mak
  CI_ENV += CI=true
endif

%:
	dh $@ --with=python3 --buildsystem=makefile

.PHONY: calibre_auto_test calibre_auto_install blhc-note

DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python3-pyqt6)

blhc-note:
#	# Add false-positive info for blhc(1) check
	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt6/mkspecs/features/data/dummy\.cpp'
	@echo 'blhc: ignore-line-regexp: /usr/lib/qt6/libexec/moc .+\.cpp'

override_dh_auto_configure:

override_dh_auto_build: blhc-note
	$(SETUP) build
	$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation
	$(SETUP) gui

# Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
override_dh_auto_test:
	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak test

# "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)
calibre_auto_test:
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt --exclude-test-name=dom_load
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=workers   $(TEST_FLAGS)
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=qt        $(TEST_FLAGS)
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=dom_load  $(TEST_FLAGS)

execute_before_dh_install:
	dh_buildinfo

override_dh_auto_install:
	dh_auto_install -O--buildsystem=makefile -- -f debian/calibre-builder.mak install

calibre_auto_install:
	mkdir -p  debian/tmp/usr/share/icons/hicolor
	mkdir -p  debian/tmp/usr/share/applications
	mkdir -p  debian/tmp/usr/share/mime/packages
	mkdir -p  debian/tmp/usr/share/zsh/vendor-completions
	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C XDG_DATA_DIRS=$(CURDIR)/debian/tmp/usr/share CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr
#
#	# not needed
	rm debian/tmp/usr/share/calibre/calibre-portable.*
	rm debian/tmp/usr/lib/python*/site-packages/init_calibre.py
	rmdir debian/tmp/usr/share/desktop-directories
#
#	# do not install developer's script
	rm    debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/update.py
	rmdir debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/
#	# Debian package "python3-tinycss" doesn't installs test code
	rm    debian/tmp/usr/lib/calibre/tinycss/tests/*.py
	rmdir debian/tmp/usr/lib/calibre/tinycss/tests/
#
# 	# Replace "python" to "python3" in shebang
	find debian/tmp/usr/lib/calibre debian/tmp/usr/share/calibre -name '*.py' -print | xargs --no-run-if-empty sed --separate --file=debian/fix-python-shebang.sed --in-place
#
#	# Remove source path name from pyuic6 outputs
	find debian/tmp/usr/lib/calibre/calibre/gui2 -name '*_ui.py' -print | xargs --no-run-if-empty sed --separate --file=debian/remove-ui-basepath.sed --in-place

override_dh_installman:
	debian/install-manpages.sh

override_dh_auto_clean:
	$(SETUP) build --clean
	$(SETUP) liberation_fonts --clean
	py3clean src/calibre/gui2
	$(SETUP) gui --clean
	py3clean setup src

override_dh_gencontrol:
	dh_gencontrol $(DEB_DH_GENCONTROL_ARGS)

# No need to touch "calibre-bin".
override_dh_python3:
	dh_python3 --no-package=calibre-bin --shebang=$(PYTHON_PATH)

## calibre 7.13.0+ds

=== debian/changelog ===
calibre (7.13.0+ds-2) unstable; urgency=medium

  * Fix regexp escape sequence syntax warning (Closes: #1074559)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 01 Jul 2024 19:59:43 +0900

calibre (7.13.0+ds-1) unstable; urgency=medium

  * New upstream version 7.13.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 28 Jun 2024 14:18:27 +0900

calibre (7.12.0+ds-3) unstable; urgency=medium

  * Rebuild with Python 3.12.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 27 Jun 2024 04:19:34 +0900

calibre (7.12.0+ds-2) unstable; urgency=medium

  * python3-pyzstd package is now available from Debian
  * Enable Qt 6.6 features.
    Qt 6.6 is now available on Debian
  * Renumber patches
  * Qt recommends UTF-8 locale.
    Use "C.UTF-8" for locale
    > Detected locale "C" with character encoding "ANSI_X3.4-1968", which is not
    > UTF-8.
    > Qt depends on a UTF-8 locale, and has switched to "C.UTF-8" instead.
    > If this causes problems, reconfigure your locale. See the  locale(1)
    > manual for more information.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 09 Jun 2024 02:21:12 +0900

## calibre 7.14.0+ds

=== debian/changelog ===
calibre (7.14.0+ds-1) unstable; urgency=medium

  * Forward patches to upstream
  * New upstream version 7.14.0+ds
  * Rediff patches.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 12 Jul 2024 15:41:57 +0900

## calibre 7.15.0+ds

=== debian/changelog ===
calibre (7.15.0+ds-1) unstable; urgency=medium

  * calibre: fix appstream ID warning (Closes: #1076311)
  * calibre: Please announce supported hardware using AppStream
    (Closes: #838069)
  * Fix LRF viewer
  * Typo fix
  * Fixup AppStream patches
  * Marge AppStream patches
  * Use more better AppStream IDs
    * "-" is deprecated in AppStream ID
    * Take AppStream IDs from Flathub entry
      - https://github.com/flathub/com.calibre_ebook.calibre
  * Rediff patches
  * "lrfviewer" doesn't has AppStream meta info file
  * New upstream version 7.15.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 19 Jul 2024 22:25:38 +0900

## calibre 7.16.0+ds

=== debian/changelog ===
calibre (7.16.0+ds-1) unstable; urgency=medium

  * Forward a patch to upstream
  * New upstream version 7.16.0+ds
  * Rediff patches.
    Drop 0062-Fix-LRF-viewer.patch: Applied by upstream
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 02 Aug 2024 20:06:25 +0900

=== debian/control ===
--- 
+++ 
@@ -75,7 +75,7 @@
                python3-speechd,
                python3-xxhash,
                python3-zeroconf,
-               python3-zstd,
+               python3-pyzstd,
                qt6-image-formats-plugins,
                qmake6,
                qt6-base-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 # help for reproducible build
 export LANG=C.UTF-8
+export LC_ALL=C.UTF-8
+export LC_CTYPE=C.UTF-8
+export LC_MESSAGES=C.UTF-8
+export LANGUAGE=
 
 # building with python3
 PYTHON=$(shell py3versions -d)
@@ -57,11 +61,11 @@
 
 # "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)
 calibre_auto_test:
-	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt --exclude-test-name=dom_load
-	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
-	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=workers   $(TEST_FLAGS)
-	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=qt        $(TEST_FLAGS)
-	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C TZ=UTC $(CI_ENV) $(SETUP) test --test-name=dom_load  $(TEST_FLAGS)
+	env TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt --exclude-test-name=dom_load
+	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
+	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=workers   $(TEST_FLAGS)
+	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=qt        $(TEST_FLAGS)
+	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=dom_load  $(TEST_FLAGS)
 
 execute_before_dh_install:
 	dh_buildinfo
@@ -74,7 +78,7 @@
 	mkdir -p  debian/tmp/usr/share/applications
 	mkdir -p  debian/tmp/usr/share/mime/packages
 	mkdir -p  debian/tmp/usr/share/zsh/vendor-completions
-	env LANGUAGE= LC_ALL=C LC_CTYPE=C LC_MESSAGES=C LANG=C XDG_DATA_DIRS=$(CURDIR)/debian/tmp/usr/share CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr
+	env XDG_DATA_DIRS=$(CURDIR)/debian/tmp/usr/share CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr
 #
 #	# not needed
 	rm debian/tmp/usr/share/calibre/calibre-portable.*

## calibre 7.18.0+ds

=== debian/changelog ===
calibre (7.18.0+ds-1) unstable; urgency=medium

  * New upstream version 7.18.0+ds
  * Rediff patches
  * Fix comment
  * Add required QtMultimedia module
  * Piper TTS is not available for Debian yet.
    Piper TTS backend is automatically disabled when Piper executable is
    not found. (TTS: Text to Speech)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 13 Sep 2024 20:49:01 +0900

calibre (7.17.0+ds-4) unstable; urgency=medium

  * Exclude failed network test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 24 Aug 2024 21:56:17 +0900

calibre (7.17.0+ds-3) unstable; urgency=medium

  * No need to forward patches to upstream.
    They are Debian specfic patches.
  * Network connection is unreliable on buildd
  * Drop obsolete test name
  * Enable all tests while in UNRELEASED

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 24 Aug 2024 17:22:30 +0900

calibre (7.17.0+ds-2) unstable; urgency=medium

  * Split fragile test for arm64 build

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 24 Aug 2024 14:22:26 +0900

calibre (7.17.0+ds-1) unstable; urgency=medium

  * New upstream version 7.17.0+ds
  * Rediff patches.
    Drop upstream/0063-Fix-2076515-calibredb-list-command-ignores-fields-
    op.patch: Upstream fixed
  * Back port to Qt 6.6 (QAnyStringView)
  * Back port to Qt 6.6 (QNetworkAccessManager::get())
  * Add QTextToSpeech module
  * Add speech engine plugin for speech system
  * Drop obsolete hack in build time test
  * Sort package list

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 24 Aug 2024 03:38:36 +0900

calibre (7.16.0+ds-3) unstable; urgency=medium

  * Fix #2076515 [calibredb list command ignores fields
    option](https://bugs.launchpad.net/calibre/+bug/2076515)
    (Closes: #1079277)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 22 Aug 2024 20:25:39 +0900

calibre (7.16.0+ds-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Add python3-requests-toolbelt to recommends; it was previously
    transitively fulfilled, and without it plugins such as FanFicFare have
    begun to fail.  Thanks to Beatrice Torracca for the report and
    workaround. (Closes: #1078080)

  [ YOKOTA Hiroshi ]
  * Sort dependency lines
  * Add python3-request-toolbelt to recommendation list
    python3-request-toolbelt was pulled by python3-dnspython in previous
    version, but dropped since python3-dnspython 2.5.0~rc1-1.
    Some Calibre plugins like FanFicFare held older request-toolbelt
    module inside, and it breaks Debian Calibre by obsolete dependency
    problems.
    Install Debian package python3-request-toolbelt will solve the problem.
    See also:
    * Import error when system python's urllib3 is version 2
      https://github.com/JimmXinu/FanFicFare/issues/987
    * UI not loading after updating to Ubuntu 24.04
      https://github.com/JimmXinu/FanFicFare/issues/1079
  * Update Lintian overrides for groff warning messages
  * Add Lintian overrides
    "uu" module is deprecated, but "uuid" module is not deprecated
  * Unify Lintian 0.117 and 0.118 message

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 09 Aug 2024 01:08:41 +0900

=== debian/control ===
--- 
+++ 
@@ -64,19 +64,23 @@
                python3-pygments,
                python3-pyparsing,
                python3-pyqt6,
+               python3-pyqt6.qtmultimedia,
                python3-pyqt6.qtquick,
                python3-pyqt6.qtsvg,
+               python3-pyqt6.qttexttospeech,
                python3-pyqt6.qtwebengine,
                python3-pyqtbuild,
+               python3-pyzstd,
                python3-regex,
+               python3-requests-toolbelt,
                python3-routes,
                python3-setuptools,
                python3-sipbuild,
                python3-speechd,
                python3-xxhash,
                python3-zeroconf,
-               python3-pyzstd,
                qt6-image-formats-plugins,
+               qt6-speech-flite-plugin | qt6-speech-speechd-plugin,
                qmake6,
                qt6-base-dev,
                qt6-base-private-dev,
@@ -127,8 +131,10 @@
          python3-pygments,
          python3-pyparsing,
          python3-pyqt6 (>= ${pyqt:Version}),
+         python3-pyqt6.qtmultimedia,
          python3-pyqt6.qtquick,
          python3-pyqt6.qtsvg,
+         python3-pyqt6.qttexttospeech,
          python3-pyqt6.qtwebengine,
          python3-pyqt6.sip,
          python3-regex,
@@ -139,8 +145,10 @@
          webp,
          xdg-utils
 Recommends: python3-dnspython,
-            udisks2,
-            python3-ipython
+            python3-ipython,
+            python3-requests-toolbelt,
+            qt6-speech-flite-plugin | qt6-speech-speechd-plugin,
+            udisks2
 Suggests: python3-unrardll
 Description: powerful and easy to use e-book manager
  Calibre is a complete e-library solution. It includes library management,

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,14 @@
 TEST_FLAGS =
 CI_ENV =
 
-# This test always stole
+# This test always hang-up
 TEST_FLAGS += --exclude-test-name=fts_pool
 
-# Disable some test when in package builder environment
-ifeq ($(wildcard .git),)
+# Piper TTS is not available on Debian yet
+TEST_FLAGS += --exclude-test-name=piper
+
+# Enable all tests while in UNRELEASED
+ifneq ($(shell dpkg-parsechangelog --show-field=Distribution),UNRELEASED)
   include debian/buildd-options.mak
   CI_ENV += CI=true
 endif
@@ -59,13 +62,10 @@
 override_dh_auto_test:
 	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak test
 
-# "test_ajax_book" fails if previous test is "test_workers" (Closes: #973458)
 calibre_auto_test:
-	env TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=workers --exclude-test-name=qt --exclude-test-name=dom_load
-	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)
-	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=workers   $(TEST_FLAGS)
-	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=qt        $(TEST_FLAGS)
-	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=dom_load  $(TEST_FLAGS)
+	env TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=qt
+	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book         $(TEST_FLAGS)
+	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=qt                $(TEST_FLAGS)
 
 execute_before_dh_install:
 	dh_buildinfo

## calibre 7.19.0+ds

=== debian/changelog ===
calibre (7.19.0+ds-1) unstable; urgency=medium

  * New upstream version 7.19.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 27 Sep 2024 16:09:38 +0900

## calibre 7.20.0+ds

=== debian/changelog ===
calibre (7.20.0+ds-1) unstable; urgency=medium

  * New upstream version 7.20.0+ds
  * Rediff patches
  * Add ffmpeg library to Build-Depends for sound code

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 19 Oct 2024 01:44:44 +0900

calibre (7.19.0+ds-2) unstable; urgency=medium

  * Drop obsolete module from dependency liist (Closes: #1083330)
    "pkg_resources" module is not used since:
    https://github.com/kovidgoyal/calibre/commit/c4a5afcf24769ec9adde99bc80f1ed33c9ee5e78
  * Remove obsolete older python3-lxml usage
    "python3-lxml-html-clean" module is already available in trixie.
  * Rediff patches: done Qt 6.7 migration.
    Drop 0063-Back-port-to-Qt-6.6-QAnyStringView.patch: done Qt 6.7 migration
    Drop 0064-Back-port-to-Qt-6.6-QNetworkAccessManager-get.patch: done Qt
    6.7 migration

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 06 Oct 2024 06:56:53 +0900

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
                dh-buildinfo,
                dh-python,
                fonts-liberation (>= 1:2.1.5-2),
+               libavdevice-dev,
+               libavformat-dev,
                libboost-dev,
                libchm-dev,
                libegl-dev,
@@ -51,13 +53,12 @@
                python3-ipython,
                python3-jeepney,
                python3-lxml,
-               python3-lxml-html-clean | python3-lxml (<< 5.2.0-1),
+               python3-lxml-html-clean,
                python3-markdown,
                python3-mechanize,
                python3-msgpack,
                python3-netifaces,
                python3-pil,
-               python3-pkg-resources,
                python3-psutil,
                python3-py7zr,
                python3-pycryptodome,
@@ -119,13 +120,12 @@
          python3-html5lib,
          python3-jeepney,
          python3-lxml,
-         python3-lxml-html-clean | python3-lxml (<< 5.2.0-1),
+         python3-lxml-html-clean,
          python3-markdown,
          python3-mechanize,
          python3-msgpack,
          python3-netifaces,
          python3-pil,
-         python3-pkg-resources,
          python3-py7zr,
          python3-pycryptodome,
          python3-pygments,

## calibre 7.21.0+ds

=== debian/changelog ===
calibre (7.21.0+ds-2) unstable; urgency=medium

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ YOKOTA Hiroshi ]
  * Drop "dh_buildinfo" from debian/rules
    "dh_buildinfo" is now obsolete.
    See Debian bug #1068809
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1068809

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 28 Nov 2024 07:53:52 +0900

calibre (7.21.0+ds-1) unstable; urgency=medium

  * New upstream version 7.21.0+ds
  * Rediff patches.
    Drop reproducible/0014-Sort-object-lists-for-reproducible-build.patch:
    fixed in upstream code
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 09 Nov 2024 00:11:52 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                cmake (>= 3.21),
                ca-certificates,
                curl,
-               dh-buildinfo,
                dh-python,
                fonts-liberation (>= 1:2.1.5-2),
                libavdevice-dev,

=== debian/rules ===
--- 
+++ 
@@ -67,9 +67,6 @@
 	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book         $(TEST_FLAGS)
 	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=qt                $(TEST_FLAGS)
 
-execute_before_dh_install:
-	dh_buildinfo
-
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=makefile -- -f debian/calibre-builder.mak install

## calibre 7.22.0+ds

=== debian/changelog ===
calibre (7.22.0+ds-2) unstable; urgency=medium

  * Add SVG plugin to Qt image formats support (Closes: #1090197)
    Qt6 SVG image format plugin was split out from qt6-svg package since
    qt6-svg:6.7.2-5 .

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 17 Dec 2024 12:50:30 +0900

calibre (7.22.0+ds-1) unstable; urgency=medium

  * Drop unused line from debian/not-installed
  * New upstream version 7.22.0+ds
  * Rediff patches
  * Restore embedded Pykakasi.
    Pykakasi is not available as Debian package yet
  * Build/clean kakasi resource

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 30 Nov 2024 15:54:53 +0900

=== debian/control ===
--- 
+++ 
@@ -81,6 +81,7 @@
                python3-zeroconf,
                qt6-image-formats-plugins,
                qt6-speech-flite-plugin | qt6-speech-speechd-plugin,
+               qt6-svg-plugins,
                qmake6,
                qt6-base-dev,
                qt6-base-private-dev,
@@ -177,7 +178,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: calibre (>= ${source:Version}),
-            qt6-image-formats-plugins
+            qt6-image-formats-plugins,
+            qt6-svg-plugins
 Description: powerful and easy to use e-book manager (binary plugins)
  Calibre is a complete e-library solution. It includes library management,
  format conversion, news feeds to e-book conversion, e-book viewer and editor,

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	$(SETUP) build
 	$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation
 	$(SETUP) gui
+	$(SETUP) kakasi
 
 # Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
 override_dh_auto_test:
@@ -103,6 +104,7 @@
 	$(SETUP) liberation_fonts --clean
 	py3clean src/calibre/gui2
 	$(SETUP) gui --clean
+	$(SETUP) kakasi --clean
 	py3clean setup src
 
 override_dh_gencontrol:

## calibre 7.23.0+ds

=== debian/changelog ===
calibre (7.23.0+ds-2) unstable; urgency=medium

  * Rebuild with Python 3.13
    Allow python3.13-default transition

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 08 Jan 2025 23:51:06 +0900

calibre (7.23.0+ds-1) unstable; urgency=medium

  * New upstream version 7.23.0+ds
  * Revert "Arch now packages kakasi"
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 20 Dec 2024 15:26:38 +0900

## calibre 7.24.0+ds

=== debian/changelog ===
calibre (7.24.0+ds-2build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:01:49 -0600

calibre (7.24.0+ds-2) unstable; urgency=medium

  * Use repacksuffix for watch file
  * Add python3-six to work with some common plugins (Closes: #1093643)
    Some common Calibre plugins like FanFicFare and CountPages requires
    python3-six package.
  * Cosmetic fix for debian/control
  * Drop obsolete Lintian override: uses-deprecated-python-stdlib uu

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 22 Jan 2025 01:03:27 +0900

calibre (7.24.0+ds-1) unstable; urgency=medium

  * New upstream version 7.24.0+ds
  * Rediff patches.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 10 Jan 2025 23:17:38 +0900

=== debian/watch ===
# -*- mode: conf -*-
# watch control file for uscan
# see uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts="pgpmode=next, \
      searchmode=plain, \
      dversionmangle=s/\+ds//, \
      repacksuffix=+ds" \
  https://api.github.com/repos/kovidgoyal/@PACKAGE@/releases \
  https://github.com/kovidgoyal/@PACKAGE@/releases/download/v\d+\.\d+\.\d+/@PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz
opts="pgpmode=previous" \
  https://calibre-ebook.com/signatures/ \
  @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig previous

## calibre 7.25.0+ds

=== debian/changelog ===
calibre (7.25.0+ds-1) unstable; urgency=medium

  * New upstream version 7.25.0+ds
  * Rediff patch
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 09 Feb 2025 19:06:09 +0900

=== debian/control ===
Source: calibre
Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
Uploaders:
    YOKOTA Hiroshi <yokota.hgml@gmail.com>,
    Martin Pitt <mpitt@debian.org>,
    Nicholas D Steeves <sten@debian.org>
Section: text
Priority: optional
Build-Depends:
    debhelper-compat (= 13),
    cmake (>= 3.21),
    ca-certificates,
    curl,
    dh-python,
    fonts-liberation (>= 1:2.1.5-2),
    libavdevice-dev,
    libavformat-dev,
    libboost-dev,
    libchm-dev,
    libegl-dev,
    libhunspell-dev,
    libhyphen-dev,
    libicu-dev,
    libjpeg-turbo-progs,
    libjxr-tools,
    libmtdev-dev [linux-any],
    libmtp-dev,
    libpodofo-dev,
    libqt6webenginecore6-bin,
    librsvg2-bin,
    libsqlite3-dev,
    libssl-dev,
    libstemmer-dev,
    libuchardet-dev,
    libudev-dev [linux-any],
    libusb-1.0-0-dev,
    optipng,
    poppler-utils,
    pyqt6-dev,
    pyqt6-dev-tools,
    python3,
    python3-apsw,
    python3-bs4,
    python3-chm,
    python3-css-parser,
    python3-cssselect,
    python3-dateutil,
    python3-dev,
    python3-feedparser (>= 6.0.8-1~),
    python3-fonttools,
    python3-html2text,
    python3-html5-parser (>=0.4.10-1~),
    python3-html5lib,
    python3-ipython,
    python3-jeepney,
    python3-lxml,
    python3-lxml-html-clean,
    python3-markdown,
    python3-mechanize,
    python3-msgpack,
    python3-netifaces,
    python3-pil,
    python3-psutil,
    python3-py7zr,
    python3-pycryptodome,
    python3-pygments,
    python3-pyparsing,
    python3-pyqt6,
    python3-pyqt6.qtmultimedia,
    python3-pyqt6.qtquick,
    python3-pyqt6.qtsvg,
    python3-pyqt6.qttexttospeech,
    python3-pyqt6.qtwebengine,
    python3-pyqtbuild,
    python3-pyzstd,
    python3-regex,
    python3-requests-toolbelt,
    python3-routes,
    python3-setuptools,
    python3-sipbuild,
    python3-six,
    python3-speechd,
    python3-xxhash,
    python3-zeroconf,
    qt6-image-formats-plugins,
    qt6-speech-flite-plugin | qt6-speech-speechd-plugin,
    qt6-svg-plugins,
    qmake6,
    qt6-base-dev,
    qt6-base-private-dev,
    qt6-wayland,
    webp,
    xdg-utils
Standards-Version: 4.7.0
Vcs-Browser: https://github.com/debian-calibre/calibre
Vcs-Git: https://github.com/debian-calibre/calibre.git
Homepage: https://calibre-ebook.com
Rules-Requires-Root: no

Package: calibre
Architecture: all
Depends:
    calibre-bin (>= ${source:Version}),
    ${misc:Depends},
    ca-certificates,
    fonts-liberation (>= 1:2.1.5-2),
    libjpeg-turbo-progs,
    libjxr-tools,
    libqt6webenginecore6-bin,
    optipng,
    poppler-utils,
    ${python3:Depends},
    pyqt6-dev-tools,
    python3-apsw,
    python3-bs4,
    python3-chm,
    python3-css-parser,
    python3-cssselect,
    python3-dateutil,
    python3-feedparser,
    python3-fonttools,
    python3-html2text,
    python3-html5-parser,
    python3-html5lib,
    python3-jeepney,
    python3-lxml,
    python3-lxml-html-clean,
    python3-markdown,
    python3-mechanize,
    python3-msgpack,
    python3-netifaces,
    python3-pil,
    python3-py7zr,
    python3-pycryptodome,
    python3-pygments,
    python3-pyparsing,
    python3-pyqt6 (>= ${pyqt:Version}),
    python3-pyqt6.qtmultimedia,
    python3-pyqt6.qtquick,
    python3-pyqt6.qtsvg,
    python3-pyqt6.qttexttospeech,
    python3-pyqt6.qtwebengine,
    python3-pyqt6.sip,
    python3-regex,
    python3-routes,
    python3-speechd,
    python3-xxhash,
    python3-zeroconf,
    webp,
    xdg-utils
Recommends:
    python3-dnspython,
    python3-ipython,
    python3-requests-toolbelt,
    python3-six,
    qt6-speech-flite-plugin | qt6-speech-speechd-plugin,
    udisks2
Suggests: python3-unrardll
Description: powerful and easy to use e-book manager
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion to and from a dozen different e-book
 formats.
 .
 Calibre supports almost every single e-Reader (e.g., Kindle, Kobo, Nook) and
 is compatible with more devices with every update. Calibre can transfer your
 e-books from one device to another in seconds, wirelessly or with a cable.
 It will send the best file format for your device converting it if
 needed, automatically.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    calibre (>= ${source:Version}),
    qt6-image-formats-plugins,
    qt6-svg-plugins
Description: powerful and easy to use e-book manager (binary plugins)
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 This package contains the compiled architecture dependent plugins, the main
 package is called 'calibre'.

## calibre 7.26.0+ds

=== debian/changelog ===
calibre (7.26.0+ds-4build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:31 -0500

calibre (7.26.0+ds-4) unstable; urgency=medium

  * Upgrade Debian policy to 4.7.2

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 04 Mar 2025 00:24:05 +0900

calibre (7.26.0+ds-3) unstable; urgency=medium

  * Upgrade Debian policy standards to 4.7.1

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 23 Feb 2025 10:37:57 +0900

calibre (7.26.0+ds-2) unstable; urgency=medium

  * Use "source:Version" instead of "Version" to get rid of rebuild action from
    buildd.
    Binary only rebuild by build adds postfix like "+b1".
    If rebuild is only happen on amd64 platform, it breaks calibre installation
    on non-amd64 platforms.
    Use "source:Version" to use non-postfix version strings for python3-pyqt6.
  * Cosmetic fix.
    Use long options

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 15 Feb 2025 22:04:40 +0900

calibre (7.26.0+ds-1) unstable; urgency=medium

  * New upstream version 7.26.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 14 Feb 2025 16:11:43 +0900

=== debian/control ===
--- 
+++ 
@@ -91,7 +91,7 @@
     qt6-wayland,
     webp,
     xdg-utils
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://github.com/debian-calibre/calibre
 Vcs-Git: https://github.com/debian-calibre/calibre.git
 Homepage: https://calibre-ebook.com

## calibre 8.0.1+ds

=== debian/changelog ===
calibre (8.0.1+ds-1) unstable; urgency=medium

  * New upstream version 8.0.1+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 21 Mar 2025 22:57:24 +0900

calibre (8.0.0+ds-1) unstable; urgency=medium

  * New upstream version 8.0.0+ds
  * Update podofo098 patches
  * Rediff patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 21 Mar 2025 17:51:13 +0900

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 .PHONY: calibre_auto_test calibre_auto_install blhc-note
 
-DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python3-pyqt6)
+DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query --showformat='$${source:Version}' --show python3-pyqt6)
 
 blhc-note:
 #	# Add false-positive info for blhc(1) check

## calibre 8.1.1+ds

=== debian/changelog ===
calibre (8.1.1+ds-1) unstable; urgency=medium

  * New upstream version 8.1.1+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 28 Mar 2025 18:44:49 +0900

calibre (8.1.0+ds-1) unstable; urgency=medium

  * New upstream version 8.1.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 28 Mar 2025 16:50:25 +0900

## calibre 8.2.100+ds

=== debian/changelog ===
calibre (8.2.100+ds-1) unstable; urgency=medium

  * New upstream version 8.2.100+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 11 Apr 2025 15:55:33 +0900

calibre (8.2.1+ds-1) unstable; urgency=medium

  * New upstream version 8.2.1+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 04 Apr 2025 16:09:37 +0900

## calibre 8.3.0+ds

=== debian/changelog ===
calibre (8.3.0+ds-1) unstable; urgency=medium

  * Non-versioned "python" in shebang is now treat as Python3.
    It requires dh-python (>= 6.20250414)
  * New upstream version 8.3.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 18 Apr 2025 12:30:47 +0900

## calibre 8.4.0+ds

=== debian/changelog ===
calibre (8.4.0+ds-1) unstable; urgency=medium

  * New upstream version 8.4.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 09 May 2025 11:59:56 +0900

## calibre 8.5.0+ds

=== debian/changelog ===
calibre (8.5.0+ds-1) unstable; urgency=medium

  * New upstream version 8.5.0+ds
  * Rediff patches
  * Revert "Update 7zip wrapper code for removal of read method"

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 20 Jun 2025 20:06:53 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     cmake (>= 3.21),
     ca-certificates,
     curl,
-    dh-python,
+    dh-python (>= 6.20250414),
     fonts-liberation (>= 1:2.1.5-2),
     libavdevice-dev,
     libavformat-dev,

=== debian/rules ===
--- 
+++ 
@@ -90,9 +90,6 @@
 	rm    debian/tmp/usr/lib/calibre/tinycss/tests/*.py
 	rmdir debian/tmp/usr/lib/calibre/tinycss/tests/
 #
-# 	# Replace "python" to "python3" in shebang
-	find debian/tmp/usr/lib/calibre debian/tmp/usr/share/calibre -name '*.py' -print | xargs --no-run-if-empty sed --separate --file=debian/fix-python-shebang.sed --in-place
-#
 #	# Remove source path name from pyuic6 outputs
 	find debian/tmp/usr/lib/calibre/calibre/gui2 -name '*_ui.py' -print | xargs --no-run-if-empty sed --separate --file=debian/remove-ui-basepath.sed --in-place

## calibre 8.6.0+ds

=== debian/changelog ===
calibre (8.6.0+ds-1) unstable; urgency=medium

  * New upstream version 8.6.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 12 Jul 2025 09:16:02 +0900

## calibre 8.7.0+ds

=== debian/changelog ===
calibre (8.7.0+ds-1) unstable; urgency=medium

  * New upstream version 8.7.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 18 Jul 2025 14:56:31 +0900

## calibre 8.8.0+ds

=== src/calibre/headless/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.21)
project(headless)
set(CMAKE_AUTOMOC ON)
find_package(Qt6Gui REQUIRED)
add_library(headless MODULE main.cpp headless_backingstore.cpp headless_integration.cpp)
set_property(TARGET headless PROPERTY QT_PLUGIN_TYPE "platforms")
set_property(TARGET headless PROPERTY QT_PLUGIN_CLASS_NAME "HeadlessIntegrationPlugin")
target_link_libraries(headless PRIVATE Qt::Gui Qt::GuiPrivate Qt::Core Qt::CorePrivate)

=== debian/changelog ===
calibre (8.8.0+ds-3build1) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:09:18 +0100

calibre (8.8.0+ds-3) unstable; urgency=medium

  * Restore standard GCC

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 20 Aug 2025 16:36:54 +0900

calibre (8.8.0+ds-2+gcc15) experimental; urgency=medium

  * Rediff patches.
    Drop 0079-Revert-Update-7zip-wrapper-code-for-removal-of-read-.patch: fixed
  * Calibre requires py7zr (>= 1.0.0)
  * Build with GCC 15 (Closes: #1096407)
    Check FTBFS
  * Add more blhc false-positive data

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 20 Aug 2025 08:26:30 +0900

calibre (8.8.0+ds-2) unstable; urgency=medium

  * Enable Piper tests.
    Piper code was merged into Calibre.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 09 Aug 2025 21:07:36 +0900

calibre (8.8.0+ds-1) unstable; urgency=medium

  * New upstream version 8.8.0+ds
  * Rediff patches
  * Rediff patches.
    Drop pykakasi/0076-Revert-Arch-now-packages-kakasi.patch: not needed
    Drop pykakasi/0069-Revert-Get-CI-working.patch: not needed
  * Renumber patches
  * Add libraries to build text-to-speech engine
    * espeak-ng
    * onnxruntime
    Note:
     When you uses Piper engine at first time, Piper will dowloads
     Neural network metadata from https://huggingface.co/rhasspy/piper-voices .
     Downloaded data will be saves to ~/.cache/calibre/piper-voices/ .
  * Drop unused exec permission for log files

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 09 Aug 2025 09:15:24 +0900

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: calibre
-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
 Uploaders:
     YOKOTA Hiroshi <yokota.hgml@gmail.com>,
     Martin Pitt <mpitt@debian.org>,
@@ -18,6 +19,7 @@
     libboost-dev,
     libchm-dev,
     libegl-dev,
+    libespeak-ng-dev,
     libhunspell-dev,
     libhyphen-dev,
     libicu-dev,
@@ -25,6 +27,7 @@
     libjxr-tools,
     libmtdev-dev [linux-any],
     libmtp-dev,
+    libonnxruntime-dev,
     libpodofo-dev,
     libqt6webenginecore6-bin,
     librsvg2-bin,
@@ -61,7 +64,7 @@
     python3-netifaces,
     python3-pil,
     python3-psutil,
-    python3-py7zr,
+    python3-py7zr (>= 1.0.0+dfsg1-1~),
     python3-pycryptodome,
     python3-pygments,
     python3-pyparsing,

=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,6 @@
 # This test always hang-up
 TEST_FLAGS += --exclude-test-name=fts_pool
 
-# Piper TTS is not available on Debian yet
-TEST_FLAGS += --exclude-test-name=piper
-
 # Enable all tests while in UNRELEASED
 ifneq ($(shell dpkg-parsechangelog --show-field=Distribution),UNRELEASED)
   include debian/buildd-options.mak
@@ -49,6 +46,7 @@
 #	# Add false-positive info for blhc(1) check
 	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
 	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt6/mkspecs/features/data/dummy\.cpp'
+	@echo 'blhc: ignore-line-regexp: .+ -dM -E -c /usr/share/cmake-[0-9\.]+/Modules/CMakeCXXCompilerABI\.cpp .+'
 	@echo 'blhc: ignore-line-regexp: /usr/lib/qt6/libexec/moc .+\.cpp'
 
 override_dh_auto_configure:

=== debian/tests/control ===

# smoke test
Features: test-name=smoke-calibre
Architecture: amd64 arm64 armhf i386
Test-Command: calibre --version
Restrictions: superficial, allow-stderr

Features: test-name=smoke-ebook-convert
Architecture: amd64 arm64 armhf i386
Test-Command: ebook-convert --version
Restrictions: superficial

Features: test-name=smoke-ebook-meta
Architecture: amd64 arm64 armhf i386
Test-Command: ebook-meta --version
Restrictions: superficial

Features: test-name=smoke-ebook-polish
Architecture: amd64 arm64 armhf i386
Test-Command: ebook-polish --version
Restrictions: superficial

# Format conversion test
Tests: convert-md-epub.sh
Architecture: amd64 arm64 armhf i386
Depends: @, epubcheck

## calibre 8.9.0+ds

=== debian/changelog ===
calibre (8.9.0+ds-4) unstable; urgency=medium

  * Fix syntax warning
    watch file dose not allow blank paragraph.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 21:40:18 +0900

calibre (8.9.0+ds-3) unstable; urgency=medium

  * Use V5 format for watch file
  * Add salsa CI file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 10:30:00 +0900

calibre (8.9.0+ds-2) unstable; urgency=medium

  * Disable autopkgtest for i386.
    Because i386 dose not have required package "onnxruntime".
    Calibre no longer works on i386.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1110690
    for more info.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 03:03:40 +0900

calibre (8.9.0+ds-1) unstable; urgency=medium

  * New upstream version 8.9.0+ds
  * Rediff patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 22 Aug 2025 13:39:06 +0900

=== debian/tests/control ===

# smoke test
Features: test-name=smoke-calibre
Architecture: amd64 arm64 armhf
Test-Command: calibre --version
Restrictions: superficial, allow-stderr

Features: test-name=smoke-ebook-convert
Architecture: amd64 arm64 armhf
Test-Command: ebook-convert --version
Restrictions: superficial

Features: test-name=smoke-ebook-meta
Architecture: amd64 arm64 armhf
Test-Command: ebook-meta --version
Restrictions: superficial

Features: test-name=smoke-ebook-polish
Architecture: amd64 arm64 armhf
Test-Command: ebook-polish --version
Restrictions: superficial

# Format conversion test
Tests: convert-md-epub.sh
Architecture: amd64 arm64 armhf
Depends: @, epubcheck
